/*
 * Copyright (C) 2004, 2005 Michael Dominic K. (http://www.mdk.org.pl)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

using System;
using Gtk;

namespace Util.Windows {

    public class OKDialogWindow {

        /* Constructor, and the only function */
        public OKDialogWindow(string _Msg, Window _Parent, MessageType _Type) 
        {
            MessageDialog md = new MessageDialog (_Parent, 
                                                  DialogFlags.DestroyWithParent,
                                                  _Type, 
                                                  ButtonsType.Ok, _Msg);
     
            md.Run();
            md.Destroy();
        }

        public OKDialogWindow(string _RootMsg, Window _Parent, Exception _Excp) 
        {
            string __Msg = _RootMsg + "\n\n" + _Excp.Message + "\n\n" + "Stack:\n" + _Excp.StackTrace;
            new OKDialogWindow (__Msg, _Parent, MessageType.Error);
        }


    }


}
